Package owl.automaton

## Class Views.AutomatonView<S,A extends OmegaAcceptance>

- java.lang.Object
- - owl.automaton.AbstractAutomaton<S,A>
  - - owl.automaton.ImplicitCachedStatesAutomaton<S,A>
    - - owl.automaton.Views.AutomatonView<S,A>

- All Implemented Interfaces:
    `Automaton<S,A>`
  Enclosing class:
    Views

      public static class Views.AutomatonView<S,A extends OmegaAcceptance>
      extends ImplicitCachedStatesAutomaton<S,A>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface owl.automaton.Automaton

      `Automaton.EdgeVisitor<S>, Automaton.HybridVisitor<S>, Automaton.LabelledEdgeVisitor<S>, Automaton.Property, Automaton.Visitor<S>`

  - ### Field Summary

    - ### Fields inherited from class owl.automaton.AbstractAutomaton

      `acceptance, factory, initialStates`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<Edge<S>>` | `edges​(S state)` | Returns all successor edges of the specified `state` under any valuation.
    `Collection<Edge<S>>` | `edges​(S state, BitSet valuation)` | Returns the successor edges of the specified `state` under the given `valuation`.
    `boolean` | `is​(Automaton.Property property)` |
    `Collection<LabelledEdge<S>>` | `labelledEdges​(S state)` | Returns all labelled edges of the specified `state`.
    `boolean` | `prefersLabelled()` | Indicate if the automaton implements a fast computation (e.g.
    `Set<S>` | `successors​(S state)` | Returns all successors of the specified `state`.

    - ### Methods inherited from class owl.automaton.AbstractAutomaton

      `acceptance, factory, initialStates`

    - ### Methods inherited from interface owl.automaton.Automaton

      `accept, edge, forEachEdge, forEachLabelledEdge, name, onlyInitialState, predecessors, size, successor, successors`

    - ### Methods inherited from class owl.automaton.ImplicitCachedStatesAutomaton

      `accept, accept, cache, states`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### prefersLabelled

          public boolean prefersLabelled()

      Description copied from interface: `Automaton`
      Indicate if the automaton implements a fast computation (e.g. symbolic) of labelled edges. Returns `true`, if the automaton advices to use `Automaton.labelledEdges(Object)` and `Automaton.accept(LabelledEdgeVisitor)` for accessing all outgoing edges of a state.
      Returns:
        The preferred traversal method.

    - #### edges

          public Collection<Edge<S>> edges​(S state,
                                           BitSet valuation)

      Description copied from interface: `Automaton`
      Returns the successor edges of the specified `state` under the given `valuation`.
      Parameters:
        `state` - The starting state of the transition.
        `valuation` - The valuation.
      Returns:
        The successor edges, possibly empty.

    - #### edges

          public Collection<Edge<S>> edges​(S state)

      Description copied from interface: `Automaton`
      Returns all successor edges of the specified `state` under any valuation.
      Parameters:
        `state` - The starting state of the edges.
      Returns:
        The set of edges originating from `state`

    - #### labelledEdges

          public Collection<LabelledEdge<S>> labelledEdges​(S state)

      Description copied from interface: `Automaton`
      Returns all labelled edges of the specified `state`.
      Parameters:
        `state` - The state.
      Returns:
        All labelled edges of the state.

    - #### successors

          public Set<S> successors​(S state)

      Description copied from interface: `Automaton`
      Returns all successors of the specified `state`.
      Parameters:
        `state` - The starting state of the transition.
      Returns:
        The successor set.

    - #### is

          public boolean is​(Automaton.Property property)